Bug 197611 - ethtool reports incorrect settings for via-velocity
ethtool reports incorrect settings for via-velocity
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: ethtool (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-04 11:45 EDT by Jay Cliburn
Modified: 2013-07-02 22:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-21 17:26:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Cliburn 2006-07-04 11:45:15 EDT
Description of problem:
Ethtool reports incorrect values for speed and link detected status for Via
Velocity 6122 gigabit Ethernet onboard NIC (motherboard: Abit AV8 K8T800 Pro,
cpu: Athlon64 3000+).  

The link is functional and operating at greater than 100Mb/s, but ethtool
reports "Speed: 100Mb/s" and "Link detected: no".

[root@osprey ~]# uname -a
Linux osprey 2.6.17-1.2139_FC5 #1 SMP Fri Jun 23 12:40:11 EDT 2006 x86_64 x86_64
x86_64 GNU/Linux

[root@osprey ~]# ethtool -i eth0
driver: via-velocity
version: 1.13
firmware-version:
bus-info: 0000:00:0e.0

[root@osprey ~]# ethtool eth0
Settings for eth0:
        Supported ports: [ TP ]
        Supported link modes:   10baseT/Half 10baseT/Full
                                100baseT/Half 100baseT/Full
                                1000baseT/Half 1000baseT/Full
        Supports auto-negotiation: Yes
        Advertised link modes:  Not reported
        Advertised auto-negotiation: No
        Speed: 100Mb/s
        Duplex: Full
        Port: Twisted Pair
        PHYAD: 0
        Transceiver: internal
        Auto-negotiation: on
        Supports Wake-on: puag
        Wake-on: g
        Current message level: 0x00000002 (2)
        Link detected: no

I ran iperf between an FC4 and an FC5 machine, both with identical motherboards,
which showed the link operating at 227Mb/s.

[root@osprey src]# ./iperf -v
iperf version 2.0.2 (03 May 2005) pthreads

[root@osprey src]# ./iperf -c 192.168.1.4
------------------------------------------------------------
Client connecting to 192.168.1.4, TCP port 5001
TCP window size: 64.0 KByte (default)
------------------------------------------------------------
[  3] local 192.168.1.3 port 57680 connected with 192.168.1.4 port 5001
[  3]  0.0-10.0 sec    272 MBytes    227 Mbits/sec

FWIW, ethtool on FC4 also reports the same incorrect settings on a Via Velocity
6122.

Version-Release number of selected component (if applicable):
[root@osprey src]# rpm -q ethtool
ethtool-3-1.2.1

How reproducible:
Always

Steps to Reproduce:
1.  ethtool eth0
2.  Observe incorrect "Speed: 100Mb/s" and "Link detected: no" reported
3.
  
Actual results:
[root@osprey src]# ethtool eth0
Settings for eth0:
        Supported ports: [ TP ]
        Supported link modes:   10baseT/Half 10baseT/Full
                                100baseT/Half 100baseT/Full
                                1000baseT/Half 1000baseT/Full
        Supports auto-negotiation: Yes
        Advertised link modes:  Not reported
        Advertised auto-negotiation: No
        Speed: 100Mb/s
        Duplex: Full
        Port: Twisted Pair
        PHYAD: 0
        Transceiver: internal
        Auto-negotiation: on
        Supports Wake-on: puag
        Wake-on: g
        Current message level: 0x00000002 (2)
        Link detected: no


Expected results:
Speed: 1000Mb/s
Link detected: yes


Additional info:
Comment 1 Jay Cliburn 2006-07-21 09:01:59 EDT
This is not an ethtool bug; it's a driver bug.  I've submitted a driver patch to
kernel.org.  Please close this bug report.

Note You need to log in before you can comment on or make changes to this bug.